{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key WM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitypatchcollection+json",
    "application/vnd.onkey.entitymatchupdatecollection+json",
    "multipart/form-data"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollectionpage+json",
    "application/vnd.onkey.entitycollection+json",
    "*/*"
  ],
  "paths": {
    "/Modules/WM/DueTasks/{id}": {
      "get": {
        "tags": [
          "Due Task"
        ],
        "summary": "Get a Due Task resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | DueTask->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | DueTask->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | DueTask->PermissionTree_Description | string |  |\r\n| id | DueTask->Id | integer | int64 |\r\n| version | DueTask->Version | integer | int32 |\r\n| assetId | DueTask->Asset_Id | integer | int64 |\r\n| assetCode | DueTask->Asset_Code | string |  |\r\n| assetDescription | DueTask->Asset_Description | string |  |\r\n| defaultIntervalId | DueTask->DefaultInterval_Id | integer | int64 |\r\n| defaultIntervalCode | DueTask->DefaultInterval_Code | string |  |\r\n| defaultIntervalDescription | DueTask->DefaultInterval_Description | string |  |\r\n| dueDate | DueTask->DueDate | string | date |\r\n| dueReading | DueTask->DueReading | number | decimal |\r\n| eventId | DueTask->Event_Id | integer | int64 |\r\n| eventCode | DueTask->Event_Code | string |  |\r\n| eventDescription | DueTask->Event_Description | string |  |\r\n| generatedOn | DueTask->GeneratedOn | string | date |\r\n| interval1DueDate | DueTask->Interval1DueDate | string | date |\r\n| interval2DueDate | DueTask->Interval2DueDate | string | date |\r\n| intervalTypeId | DueTask->IntervalType_Id | integer | int64 |\r\n| intervalTypeCode | DueTask->IntervalType_Code | string |  |\r\n| intervalTypeDescription | DueTask->IntervalType_Description | string |  |\r\n| intervalTypeSchedulingKind | DueTask->IntervalType_SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| isSuppressed | DueTask->IsSuppressed | boolean |  |\r\n| outOfBoundsTask | DueTask->OutOfBoundsTask | boolean |  |\r\n| regularAssetTaskId | DueTask->RegularAssetTask_Id | integer | int64 |\r\n| regularAssetTaskCode | DueTask->RegularAssetTask_Code | string |  |\r\n| regularAssetTaskDescription | DueTask->RegularAssetTask_Description | string |  |\r\n| regularAssetTaskIsActive | DueTask->RegularAssetTask_IsActive | boolean |  |\r\n| schedulingKind | DueTask->SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| suppressionType | DueTask->SuppressionType | string (Allowed values: [SuppressorFutureDate, Window, LastDoneInOpenWorkOrder, LastDone]) | enum |\r\n| usedActualInterval | DueTask->UsedActualInterval | number | decimal |\r\n",
        "operationId": "GetDueTask",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Due Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Due Task",
            "schema": {
              "$ref": "#/definitions/GetDueTaskResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Due Task"
        ],
        "summary": "Delete an existing Due Task resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DueTask->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteDueTask",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Due Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteDueTaskResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Due Task was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks": {
      "get": {
        "tags": [
          "Due Task"
        ],
        "summary": "Get a collection of Due Task resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DueTask->Id | integer | int64 |\r\n| version | DueTask->Version | integer | int32 |\r\n| generatedOn | DueTask->GeneratedOn | string | date |\r\n| dueDate | DueTask->DueDate | string | date |\r\n| dueReading | DueTask->DueReading | number | decimal |\r\n| interval1DueDate | DueTask->Interval1DueDate | string | date |\r\n| interval2DueDate | DueTask->Interval2DueDate | string | date |\r\n| isSuppressed | DueTask->IsSuppressed | boolean |  |\r\n| suppressionType | DueTask->SuppressionType | string (Allowed values: [SuppressorFutureDate, Window, LastDoneInOpenWorkOrder, LastDone]) | enum |\r\n| assetCode | DueTask->Asset_Code | string |  |\r\n| regularAssetTaskCode | DueTask->RegularAssetTask_Code | string |  |\r\n| outOfBoundsTask | DueTask->OutOfBoundsTask | boolean |  |\r\n",
        "operationId": "GetDueTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Due Task collection",
            "schema": {
              "$ref": "#/definitions/GetDueTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/Batch/{ids}": {
      "get": {
        "tags": [
          "Due Task"
        ],
        "summary": "Get a collection of Due Task resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | DueTask->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | DueTask->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | DueTask->PermissionTree_Description | string |  |\r\n| id | DueTask->Id | integer | int64 |\r\n| version | DueTask->Version | integer | int32 |\r\n| assetId | DueTask->Asset_Id | integer | int64 |\r\n| assetCode | DueTask->Asset_Code | string |  |\r\n| assetDescription | DueTask->Asset_Description | string |  |\r\n| defaultIntervalId | DueTask->DefaultInterval_Id | integer | int64 |\r\n| defaultIntervalCode | DueTask->DefaultInterval_Code | string |  |\r\n| defaultIntervalDescription | DueTask->DefaultInterval_Description | string |  |\r\n| dueDate | DueTask->DueDate | string | date |\r\n| dueReading | DueTask->DueReading | number | decimal |\r\n| eventId | DueTask->Event_Id | integer | int64 |\r\n| eventCode | DueTask->Event_Code | string |  |\r\n| eventDescription | DueTask->Event_Description | string |  |\r\n| generatedOn | DueTask->GeneratedOn | string | date |\r\n| interval1DueDate | DueTask->Interval1DueDate | string | date |\r\n| interval2DueDate | DueTask->Interval2DueDate | string | date |\r\n| intervalTypeId | DueTask->IntervalType_Id | integer | int64 |\r\n| intervalTypeCode | DueTask->IntervalType_Code | string |  |\r\n| intervalTypeDescription | DueTask->IntervalType_Description | string |  |\r\n| intervalTypeSchedulingKind | DueTask->IntervalType_SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| isSuppressed | DueTask->IsSuppressed | boolean |  |\r\n| outOfBoundsTask | DueTask->OutOfBoundsTask | boolean |  |\r\n| regularAssetTaskId | DueTask->RegularAssetTask_Id | integer | int64 |\r\n| regularAssetTaskCode | DueTask->RegularAssetTask_Code | string |  |\r\n| regularAssetTaskDescription | DueTask->RegularAssetTask_Description | string |  |\r\n| regularAssetTaskIsActive | DueTask->RegularAssetTask_IsActive | boolean |  |\r\n| schedulingKind | DueTask->SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| suppressionType | DueTask->SuppressionType | string (Allowed values: [SuppressorFutureDate, Window, LastDoneInOpenWorkOrder, LastDone]) | enum |\r\n| usedActualInterval | DueTask->UsedActualInterval | number | decimal |\r\n",
        "operationId": "BatchGetDueTask",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Due Task id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Due Task collection",
            "schema": {
              "$ref": "#/definitions/BatchGetDueTaskResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/Batch": {
      "delete": {
        "tags": [
          "Due Task"
        ],
        "summary": "Delete a collection of existing Due Task resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DueTask->Id | integer | int64 |\r\n| version | DueTask->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteDueTask",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteDueTaskResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Due Task batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/Suppressors/{id}": {
      "get": {
        "tags": [
          "Due Task Suppressor"
        ],
        "summary": "Get a Due Task Suppressor resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | DueTaskSuppressor->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DueTaskSuppressor->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DueTaskSuppressor->CreatedByUser_FullName | string |  |\r\n| createdOn | DueTaskSuppressor->CreatedOn | string | date-time |\r\n| modifiedByUserId | DueTaskSuppressor->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DueTaskSuppressor->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DueTaskSuppressor->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DueTaskSuppressor->ModifiedOn | string | date-time |\r\n| version | DueTaskSuppressor->Version | integer | int32 |\r\n| id | DueTaskSuppressor->Id | integer | int64 |\r\n| suppressedDueTaskId | DueTaskSuppressor->SuppressedDueTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskId | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskCode | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Code | string |  |\r\n| suppressedDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Description | string |  |\r\n| suppressedFrom | DueTaskSuppressor->SuppressedFrom | string | date |\r\n| suppressedTo | DueTaskSuppressor->SuppressedTo | string | date |\r\n| suppressionType | DueTaskSuppressor->SuppressionType | string (Allowed values: [SuppressorFutureDate, Window, LastDoneInOpenWorkOrder, LastDone]) | enum |\r\n| suppressorDueTaskId | DueTaskSuppressor->SuppressorDueTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskId | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskCode | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Code | string |  |\r\n| suppressorDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Description | string |  |\r\n",
        "operationId": "GetDueTaskSuppressor",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Due Task Suppressor Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Due Task Suppressor",
            "schema": {
              "$ref": "#/definitions/GetDueTaskSuppressorResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/Suppressors": {
      "get": {
        "tags": [
          "Due Task Suppressor"
        ],
        "summary": "Get a collection of Due Task Suppressor resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DueTaskSuppressor->Id | integer | int64 |\r\n| suppressedDueTaskId | DueTaskSuppressor->SuppressedDueTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Description | string |  |\r\n| suppressedFrom | DueTaskSuppressor->SuppressedFrom | string | date |\r\n| suppressedTo | DueTaskSuppressor->SuppressedTo | string | date |\r\n| suppressorDueTaskId | DueTaskSuppressor->SuppressorDueTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Description | string |  |\r\n| createdOn | DueTaskSuppressor->CreatedOn | string | date-time |\r\n| modifiedOn | DueTaskSuppressor->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetDueTaskSuppressorCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Due Task Suppressor collection",
            "schema": {
              "$ref": "#/definitions/GetDueTaskSuppressorCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/{id}/Suppressors": {
      "get": {
        "tags": [
          "Due Task Suppressor"
        ],
        "summary": "Get a collection of Due Task Suppressor resources for the Due Task.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DueTaskSuppressor->Id | integer | int64 |\r\n| suppressedDueTaskId | DueTaskSuppressor->SuppressedDueTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Description | string |  |\r\n| suppressedFrom | DueTaskSuppressor->SuppressedFrom | string | date |\r\n| suppressedTo | DueTaskSuppressor->SuppressedTo | string | date |\r\n| suppressorDueTaskId | DueTaskSuppressor->SuppressorDueTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Description | string |  |\r\n| createdOn | DueTaskSuppressor->CreatedOn | string | date-time |\r\n| modifiedOn | DueTaskSuppressor->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetDueTaskSuppressorForDueTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Due Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Due Task Suppressor collection",
            "schema": {
              "$ref": "#/definitions/GeDueTaskSuppressorForCollectionDueTaskResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/DueTasks/Suppressors/Batch/{ids}": {
      "get": {
        "tags": [
          "Due Task Suppressor"
        ],
        "summary": "Get a collection of Due Task Suppressor resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | DueTaskSuppressor->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DueTaskSuppressor->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DueTaskSuppressor->CreatedByUser_FullName | string |  |\r\n| createdOn | DueTaskSuppressor->CreatedOn | string | date-time |\r\n| modifiedByUserId | DueTaskSuppressor->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DueTaskSuppressor->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DueTaskSuppressor->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DueTaskSuppressor->ModifiedOn | string | date-time |\r\n| version | DueTaskSuppressor->Version | integer | int32 |\r\n| id | DueTaskSuppressor->Id | integer | int64 |\r\n| suppressedDueTaskId | DueTaskSuppressor->SuppressedDueTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskId | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Id | integer | int64 |\r\n| suppressedDueTaskRegularAssetTaskCode | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Code | string |  |\r\n| suppressedDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressedDueTask_RegularAssetTask_Description | string |  |\r\n| suppressedFrom | DueTaskSuppressor->SuppressedFrom | string | date |\r\n| suppressedTo | DueTaskSuppressor->SuppressedTo | string | date |\r\n| suppressionType | DueTaskSuppressor->SuppressionType | string (Allowed values: [SuppressorFutureDate, Window, LastDoneInOpenWorkOrder, LastDone]) | enum |\r\n| suppressorDueTaskId | DueTaskSuppressor->SuppressorDueTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskId | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Id | integer | int64 |\r\n| suppressorDueTaskRegularAssetTaskCode | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Code | string |  |\r\n| suppressorDueTaskRegularAssetTaskDescription | DueTaskSuppressor->SuppressorDueTask_RegularAssetTask_Description | string |  |\r\n",
        "operationId": "BatchGetDueTaskSuppressor",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Due Task Suppressor id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Due Task Suppressor collection",
            "schema": {
              "$ref": "#/definitions/BatchGetDueTaskSuppressorResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/GenerateProposedWorkOrders/Defaults": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get the System Option defaults for generation of collection of Proposed Work Order resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| proposedWorkOrdersFutureRange | GenerateProposedWorkOrdersFilterDefaultSystemOptionValues->ProposedWorkOrdersFutureRange | integer | int32 |\r\n| proposedWorkDefaultGroupingInterval | GenerateProposedWorkOrdersFilterDefaultSystemOptionValues->ProposedWorkDefaultGroupingInterval | integer | int32 |\r\n| proposedWorkDefaultTaskGroupingStartDate | GenerateProposedWorkOrdersFilterDefaultSystemOptionValues->ProposedWorkDefaultTaskGroupingStartDate | string | date-time |\r\n",
        "operationId": "GetGenerateProposedWorkOrdersSystemOptionDefaults",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Proposed Work Order",
            "schema": {
              "$ref": "#/definitions/GetGenerateProposedWorkOrdersSystemOptionDefaultsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/GenerateWorkOrders/Defaults": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get the System Option defaults for generation of Work Orders",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| combineResourcesOnSingleTask | GenerateWorkOrdersDefaultSystemOptionValues->CombineResourcesOnSingleTask | string (Allowed values: [AlwaysAsk, Always, Never]) | enum |\r\n",
        "operationId": "GetGenerateWorkOrdersSystemOptionDefaults",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Proposed Work Order",
            "schema": {
              "$ref": "#/definitions/GetGenerateWorkOrdersSystemOptionDefaultsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/{id}": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get a Proposed Work Order resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | ProposedWorkOrder->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | ProposedWorkOrder->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | ProposedWorkOrder->CreatedByUser_FullName | string |  |\r\n| createdOn | ProposedWorkOrder->CreatedOn | string | date-time |\r\n| modifiedByUserId | ProposedWorkOrder->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | ProposedWorkOrder->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | ProposedWorkOrder->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | ProposedWorkOrder->ModifiedOn | string | date-time |\r\n| version | ProposedWorkOrder->Version | integer | int32 |\r\n| permissionTreeId | ProposedWorkOrder->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | ProposedWorkOrder->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | ProposedWorkOrder->PermissionTree_Description | string |  |\r\n| siteId | ProposedWorkOrder->Site_Id | integer | int64 |\r\n| siteCode | ProposedWorkOrder->Site_Code | string |  |\r\n| siteDescription | ProposedWorkOrder->Site_Description | string |  |\r\n| id | ProposedWorkOrder->Id | integer | int64 |\r\n| assetId | ProposedWorkOrder->Asset_Id | integer | int64 |\r\n| assetCode | ProposedWorkOrder->Asset_Code | string |  |\r\n| assetDescription | ProposedWorkOrder->Asset_Description | string |  |\r\n| defaultIntervalId | ProposedWorkOrder->DefaultInterval_Id | integer | int64 |\r\n| defaultIntervalCode | ProposedWorkOrder->DefaultInterval_Code | string |  |\r\n| defaultIntervalDescription | ProposedWorkOrder->DefaultInterval_Description | string |  |\r\n| defaultIntervalTaskIntervalTypeId | ProposedWorkOrder->DefaultInterval_TaskIntervalType_Id | integer | int64 |\r\n| description | ProposedWorkOrder->Description | string |  |\r\n| downtime | ProposedWorkOrder->Downtime | string | duration |\r\n| dueDate | ProposedWorkOrder->DueDate | string | date |\r\n| duration | ProposedWorkOrder->Duration | string | duration |\r\n| eventId | ProposedWorkOrder->Event_Id | integer | int64 |\r\n| eventCode | ProposedWorkOrder->Event_Code | string |  |\r\n| eventDescription | ProposedWorkOrder->Event_Description | string |  |\r\n| intervalTypeId | ProposedWorkOrder->IntervalType_Id | integer | int64 |\r\n| intervalTypeCode | ProposedWorkOrder->IntervalType_Code | string |  |\r\n| intervalTypeDescription | ProposedWorkOrder->IntervalType_Description | string |  |\r\n| intervalTypeSchedulingKind | ProposedWorkOrder->IntervalType_SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| machineState | ProposedWorkOrder->MachineState | string (Allowed values: [RunningOrNotRunning, OnlyNotRunning, OnlyRunning]) | enum |\r\n| mainScheduledReading | ProposedWorkOrder->MainScheduledReading | number | decimal |\r\n| minStartDate | ProposedWorkOrder->MinStartDate | string | date |\r\n| motionType | ProposedWorkOrder->MotionType | string (Allowed values: [StationaryOrInMotion, OnlyWhenStationary, OnlyWhenInMotion]) | enum |\r\n| proposedWorkOrderBatchId | ProposedWorkOrder->ProposedWorkOrderBatch_Id | integer | int64 |\r\n| responsibleSectionId | ProposedWorkOrder->ResponsibleSection_Id | integer | int64 |\r\n| responsibleSectionCode | ProposedWorkOrder->ResponsibleSection_Code | string |  |\r\n| responsibleSectionDescription | ProposedWorkOrder->ResponsibleSection_Description | string |  |\r\n| responsibleStaffMemberResourceId | ProposedWorkOrder->ResponsibleStaffMemberResource_Id | integer | int64 |\r\n| responsibleStaffMemberResourceCode | ProposedWorkOrder->ResponsibleStaffMemberResource_Code | string |  |\r\n| responsibleStaffMemberResourceDescription | ProposedWorkOrder->ResponsibleStaffMemberResource_Description | string |  |\r\n| responsibleStaffMemberResourceResourceType | ProposedWorkOrder->ResponsibleStaffMemberResource_ResourceType | string (Allowed values: [StaffMember, SpecialResource, Contact]) | enum |\r\n| responsibleStaffMemberResourceContactDetailId | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailId | integer | int64 |\r\n| responsibleStaffMemberResourceContactDetailFirstName | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailFirstName | string |  |\r\n| responsibleStaffMemberResourceContactDetailLastName | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailLastName | string |  |\r\n| responsibleStaffMemberResourceContactDetailDepartment | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailDepartment | string |  |\r\n| responsibleStaffMemberResourceContactDetailJobTitle | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailJobTitle | string |  |\r\n| responsibleStaffMemberResourceSiteId | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Id | integer | int64 |\r\n| responsibleStaffMemberResourceSiteCode | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Code | string |  |\r\n| responsibleStaffMemberResourceSiteDescription | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Description | string |  |\r\n| responsibleTradeId | ProposedWorkOrder->ResponsibleTrade_Id | integer | int64 |\r\n| responsibleTradeCode | ProposedWorkOrder->ResponsibleTrade_Code | string |  |\r\n| responsibleTradeDescription | ProposedWorkOrder->ResponsibleTrade_Description | string |  |\r\n| status | ProposedWorkOrder->Status | string (Allowed values: [CanGenerateWorkOrder, WorkOrderGenerated, AllTasksSuppressed, ConfigurationIncomplete]) | enum |\r\n| taskClassification1Id | ProposedWorkOrder->TaskClassification1_Id | integer | int64 |\r\n| taskClassification1Code | ProposedWorkOrder->TaskClassification1_Code | string |  |\r\n| taskClassification1Description | ProposedWorkOrder->TaskClassification1_Description | string |  |\r\n| taskClassification2Id | ProposedWorkOrder->TaskClassification2_Id | integer | int64 |\r\n| taskClassification2Code | ProposedWorkOrder->TaskClassification2_Code | string |  |\r\n| taskClassification2Description | ProposedWorkOrder->TaskClassification2_Description | string |  |\r\n| taskClassification3Id | ProposedWorkOrder->TaskClassification3_Id | integer | int64 |\r\n| taskClassification3Code | ProposedWorkOrder->TaskClassification3_Code | string |  |\r\n| taskClassification3Description | ProposedWorkOrder->TaskClassification3_Description | string |  |\r\n| taskClassification4Id | ProposedWorkOrder->TaskClassification4_Id | integer | int64 |\r\n| taskClassification4Code | ProposedWorkOrder->TaskClassification4_Code | string |  |\r\n| taskClassification4Description | ProposedWorkOrder->TaskClassification4_Description | string |  |\r\n| taskClassification5Id | ProposedWorkOrder->TaskClassification5_Id | integer | int64 |\r\n| taskClassification5Code | ProposedWorkOrder->TaskClassification5_Code | string |  |\r\n| taskClassification5Description | ProposedWorkOrder->TaskClassification5_Description | string |  |\r\n| taskClassification6Id | ProposedWorkOrder->TaskClassification6_Id | integer | int64 |\r\n| taskClassification6Code | ProposedWorkOrder->TaskClassification6_Code | string |  |\r\n| taskClassification6Description | ProposedWorkOrder->TaskClassification6_Description | string |  |\r\n| taskClassification7Id | ProposedWorkOrder->TaskClassification7_Id | integer | int64 |\r\n| taskClassification7Code | ProposedWorkOrder->TaskClassification7_Code | string |  |\r\n| taskClassification7Description | ProposedWorkOrder->TaskClassification7_Description | string |  |\r\n| taskClassification8Id | ProposedWorkOrder->TaskClassification8_Id | integer | int64 |\r\n| taskClassification8Code | ProposedWorkOrder->TaskClassification8_Code | string |  |\r\n| taskClassification8Description | ProposedWorkOrder->TaskClassification8_Description | string |  |\r\n| typeOfWorkId | ProposedWorkOrder->TypeOfWork_Id | integer | int64 |\r\n| typeOfWorkCode | ProposedWorkOrder->TypeOfWork_Code | string |  |\r\n| typeOfWorkDescription | ProposedWorkOrder->TypeOfWork_Description | string |  |\r\n| typeOfWorkWorkType | ProposedWorkOrder->TypeOfWork_WorkType | string (Allowed values: [Breakdown, Reactive, AdHoc, Inspect, FollowUp]) | enum |\r\n| typeOfWorkWorkClass | ProposedWorkOrder->TypeOfWork_WorkClass | string (Allowed values: [NonTactical, Tactical, OperationalWork, ContinuousImprovement, AdministrativeWork]) | enum |\r\n| workOrderId | ProposedWorkOrder->WorkOrder_Id | integer | int64 |\r\n| workOrderCode | ProposedWorkOrder->WorkOrder_Code | string |  |\r\n| workOrderDescription | ProposedWorkOrder->WorkOrder_Description | string |  |\r\n| workOrderGeneratedOn | ProposedWorkOrder->WorkOrderGeneratedOn | string | date-time |\r\n| workOrderGenerationMessage | ProposedWorkOrder->WorkOrderGenerationMessage | string |  |\r\n",
        "operationId": "GetProposedWorkOrder",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Proposed Work Order Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Proposed Work Order",
            "schema": {
              "$ref": "#/definitions/GetProposedWorkOrderResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete an existing Proposed Work Order resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | ProposedWorkOrder->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteProposedWorkOrder",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Proposed Work Order Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteProposedWorkOrderResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Proposed Work Order was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batches": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get a collection of Proposed Work Order resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | ProposedWorkOrderBatch->Version | integer | int32 |\r\n| id | ProposedWorkOrderBatch->Id | integer | int64 |\r\n| name | ProposedWorkOrderBatch->Name | string |  |\r\n| createdByUserFullName | ProposedWorkOrderBatch->CreatedByUser_FullName | string |  |\r\n| createdOn | ProposedWorkOrderBatch->CreatedOn | string | date-time |\r\n",
        "operationId": "GetProposedWorkOrderBatchCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Proposed Work Order collection",
            "schema": {
              "$ref": "#/definitions/GetProposedWorkOrderBatchCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get a collection of Proposed Work Order resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ProposedWorkOrder->Id | integer | int64 |\r\n| version | ProposedWorkOrder->Version | integer | int32 |\r\n| status | ProposedWorkOrder->Status | string (Allowed values: [CanGenerateWorkOrder, WorkOrderGenerated, AllTasksSuppressed, ConfigurationIncomplete]) | enum |\r\n| siteCode | ProposedWorkOrder->Site_Code | string |  |\r\n| assetCode | ProposedWorkOrder->Asset_Code | string |  |\r\n| assetDescription | ProposedWorkOrder->Asset_Description | string |  |\r\n| dueDate | ProposedWorkOrder->DueDate | string | date |\r\n| mainScheduledReading | ProposedWorkOrder->MainScheduledReading | number | decimal |\r\n| description | ProposedWorkOrder->Description | string |  |\r\n| workOrderCode | ProposedWorkOrder->WorkOrder_Code | string |  |\r\n| workOrderGeneratedOn | ProposedWorkOrder->WorkOrderGeneratedOn | string | date-time |\r\n| workOrderGenerationMessage | ProposedWorkOrder->WorkOrderGenerationMessage | string |  |\r\n| proposedWorkOrderBatchId | ProposedWorkOrder->ProposedWorkOrderBatch_Id | integer | int64 |\r\n| proposedWorkOrderBatchName | ProposedWorkOrder->ProposedWorkOrderBatch_Name | string |  |\r\n| proposedWorkOrderBatchCreatedOn | ProposedWorkOrder->ProposedWorkOrderBatch_CreatedOn | string | date-time |\r\n| proposedWorkOrderBatchCreatedByUserCode | ProposedWorkOrder->ProposedWorkOrderBatch_CreatedByUser_Code | string |  |\r\n",
        "operationId": "GetProposedWorkOrderCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Proposed Work Order collection",
            "schema": {
              "$ref": "#/definitions/GetProposedWorkOrderCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderBatch": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Proposed Work Order Batch for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ProposedWorkOrderBatch->Id | integer | int64 |\r\n| name | ProposedWorkOrderBatch->Name | string |  |\r\n| createdByUserCode | ProposedWorkOrderBatch->CreatedByUser_Code | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderBatch",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Proposed Work Order Batch collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderBatchLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderEvent": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Event for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Event->Id | integer | int64 |\r\n| code | Event->Code | string |  |\r\n| description | Event->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderEvent",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Event collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderEventLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskIntervalType": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Task Interval Type for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | TaskIntervalType->Id | integer | int64 |\r\n| code | TaskIntervalType->Code | string |  |\r\n| description | TaskIntervalType->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskIntervalType",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Task Interval Type collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderIntervalTypeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderLocation": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Location for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Location->Id | integer | int64 |\r\n| code | Location->Code | string |  |\r\n| description | Location->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderLocation",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Location collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderLocationLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderRegularAsset": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Regular Asset for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RegularAsset->Id | integer | int64 |\r\n| code | RegularAsset->Code | string |  |\r\n| description | RegularAsset->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderRegularAsset",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Regular Asset collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderRegularAssetLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderRegularAssetType": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Regular Asset Type for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RegularAssetType->Id | integer | int64 |\r\n| code | RegularAssetType->Code | string |  |\r\n| description | RegularAssetType->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderRegularAssetType",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Regular Asset Type collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderRegularAssetTypeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderSite": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup the Site for the Proposed Work Order.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Site->Id | integer | int64 |\r\n| code | Site->Code | string |  |\r\n| description | Site->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderSite",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Site collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderSiteLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification1": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 1 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification1",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification1LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification2": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 2 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification2",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification2LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification3": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 3 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification3",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification3LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification4": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 4 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification4",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification4LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification5": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 5 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification5",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification5LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification6": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 6 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification6",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification6LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification7": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 7 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification7",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification7LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Lookups/LookupProposedWorkOrderTaskClassification8": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Lookup Proposed Work Order Task Classification 8 for the Proposed Work Order",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ClassificationAllowedValue->Id | integer | int64 |\r\n| code | ClassificationAllowedValue->Code | string |  |\r\n| description | ClassificationAllowedValue->Description | string |  |\r\n",
        "operationId": "LookupProposedWorkOrderTaskClassification8",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Classification Allowed Value collection",
            "schema": {
              "$ref": "#/definitions/ProposedWorkOrderTaskClassification8LookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batches/{id}": {
      "delete": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete an existing Proposed Work Order resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | ProposedWorkOrderBatch->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteProposedWorkOrderBatch",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Proposed Work Order Batch Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteProposedWorkOrderBatchResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Proposed Work Order was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batch/{ids}": {
      "get": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Get a collection of Proposed Work Order resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | ProposedWorkOrder->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | ProposedWorkOrder->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | ProposedWorkOrder->CreatedByUser_FullName | string |  |\r\n| createdOn | ProposedWorkOrder->CreatedOn | string | date-time |\r\n| modifiedByUserId | ProposedWorkOrder->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | ProposedWorkOrder->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | ProposedWorkOrder->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | ProposedWorkOrder->ModifiedOn | string | date-time |\r\n| version | ProposedWorkOrder->Version | integer | int32 |\r\n| permissionTreeId | ProposedWorkOrder->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | ProposedWorkOrder->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | ProposedWorkOrder->PermissionTree_Description | string |  |\r\n| siteId | ProposedWorkOrder->Site_Id | integer | int64 |\r\n| siteCode | ProposedWorkOrder->Site_Code | string |  |\r\n| siteDescription | ProposedWorkOrder->Site_Description | string |  |\r\n| id | ProposedWorkOrder->Id | integer | int64 |\r\n| assetId | ProposedWorkOrder->Asset_Id | integer | int64 |\r\n| assetCode | ProposedWorkOrder->Asset_Code | string |  |\r\n| assetDescription | ProposedWorkOrder->Asset_Description | string |  |\r\n| defaultIntervalId | ProposedWorkOrder->DefaultInterval_Id | integer | int64 |\r\n| defaultIntervalCode | ProposedWorkOrder->DefaultInterval_Code | string |  |\r\n| defaultIntervalDescription | ProposedWorkOrder->DefaultInterval_Description | string |  |\r\n| defaultIntervalTaskIntervalTypeId | ProposedWorkOrder->DefaultInterval_TaskIntervalType_Id | integer | int64 |\r\n| description | ProposedWorkOrder->Description | string |  |\r\n| downtime | ProposedWorkOrder->Downtime | string | duration |\r\n| dueDate | ProposedWorkOrder->DueDate | string | date |\r\n| duration | ProposedWorkOrder->Duration | string | duration |\r\n| eventId | ProposedWorkOrder->Event_Id | integer | int64 |\r\n| eventCode | ProposedWorkOrder->Event_Code | string |  |\r\n| eventDescription | ProposedWorkOrder->Event_Description | string |  |\r\n| intervalTypeId | ProposedWorkOrder->IntervalType_Id | integer | int64 |\r\n| intervalTypeCode | ProposedWorkOrder->IntervalType_Code | string |  |\r\n| intervalTypeDescription | ProposedWorkOrder->IntervalType_Description | string |  |\r\n| intervalTypeSchedulingKind | ProposedWorkOrder->IntervalType_SchedulingKind | string (Allowed values: [AdHoc, Calendar, Event, Usage]) | enum |\r\n| machineState | ProposedWorkOrder->MachineState | string (Allowed values: [RunningOrNotRunning, OnlyNotRunning, OnlyRunning]) | enum |\r\n| mainScheduledReading | ProposedWorkOrder->MainScheduledReading | number | decimal |\r\n| minStartDate | ProposedWorkOrder->MinStartDate | string | date |\r\n| motionType | ProposedWorkOrder->MotionType | string (Allowed values: [StationaryOrInMotion, OnlyWhenStationary, OnlyWhenInMotion]) | enum |\r\n| proposedWorkOrderBatchId | ProposedWorkOrder->ProposedWorkOrderBatch_Id | integer | int64 |\r\n| responsibleSectionId | ProposedWorkOrder->ResponsibleSection_Id | integer | int64 |\r\n| responsibleSectionCode | ProposedWorkOrder->ResponsibleSection_Code | string |  |\r\n| responsibleSectionDescription | ProposedWorkOrder->ResponsibleSection_Description | string |  |\r\n| responsibleStaffMemberResourceId | ProposedWorkOrder->ResponsibleStaffMemberResource_Id | integer | int64 |\r\n| responsibleStaffMemberResourceCode | ProposedWorkOrder->ResponsibleStaffMemberResource_Code | string |  |\r\n| responsibleStaffMemberResourceDescription | ProposedWorkOrder->ResponsibleStaffMemberResource_Description | string |  |\r\n| responsibleStaffMemberResourceResourceType | ProposedWorkOrder->ResponsibleStaffMemberResource_ResourceType | string (Allowed values: [StaffMember, SpecialResource, Contact]) | enum |\r\n| responsibleStaffMemberResourceContactDetailId | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailId | integer | int64 |\r\n| responsibleStaffMemberResourceContactDetailFirstName | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailFirstName | string |  |\r\n| responsibleStaffMemberResourceContactDetailLastName | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailLastName | string |  |\r\n| responsibleStaffMemberResourceContactDetailDepartment | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailDepartment | string |  |\r\n| responsibleStaffMemberResourceContactDetailJobTitle | ProposedWorkOrder->ResponsibleStaffMemberResource_ContactDetailJobTitle | string |  |\r\n| responsibleStaffMemberResourceSiteId | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Id | integer | int64 |\r\n| responsibleStaffMemberResourceSiteCode | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Code | string |  |\r\n| responsibleStaffMemberResourceSiteDescription | ProposedWorkOrder->ResponsibleStaffMemberResource_Site_Description | string |  |\r\n| responsibleTradeId | ProposedWorkOrder->ResponsibleTrade_Id | integer | int64 |\r\n| responsibleTradeCode | ProposedWorkOrder->ResponsibleTrade_Code | string |  |\r\n| responsibleTradeDescription | ProposedWorkOrder->ResponsibleTrade_Description | string |  |\r\n| status | ProposedWorkOrder->Status | string (Allowed values: [CanGenerateWorkOrder, WorkOrderGenerated, AllTasksSuppressed, ConfigurationIncomplete]) | enum |\r\n| taskClassification1Id | ProposedWorkOrder->TaskClassification1_Id | integer | int64 |\r\n| taskClassification1Code | ProposedWorkOrder->TaskClassification1_Code | string |  |\r\n| taskClassification1Description | ProposedWorkOrder->TaskClassification1_Description | string |  |\r\n| taskClassification2Id | ProposedWorkOrder->TaskClassification2_Id | integer | int64 |\r\n| taskClassification2Code | ProposedWorkOrder->TaskClassification2_Code | string |  |\r\n| taskClassification2Description | ProposedWorkOrder->TaskClassification2_Description | string |  |\r\n| taskClassification3Id | ProposedWorkOrder->TaskClassification3_Id | integer | int64 |\r\n| taskClassification3Code | ProposedWorkOrder->TaskClassification3_Code | string |  |\r\n| taskClassification3Description | ProposedWorkOrder->TaskClassification3_Description | string |  |\r\n| taskClassification4Id | ProposedWorkOrder->TaskClassification4_Id | integer | int64 |\r\n| taskClassification4Code | ProposedWorkOrder->TaskClassification4_Code | string |  |\r\n| taskClassification4Description | ProposedWorkOrder->TaskClassification4_Description | string |  |\r\n| taskClassification5Id | ProposedWorkOrder->TaskClassification5_Id | integer | int64 |\r\n| taskClassification5Code | ProposedWorkOrder->TaskClassification5_Code | string |  |\r\n| taskClassification5Description | ProposedWorkOrder->TaskClassification5_Description | string |  |\r\n| taskClassification6Id | ProposedWorkOrder->TaskClassification6_Id | integer | int64 |\r\n| taskClassification6Code | ProposedWorkOrder->TaskClassification6_Code | string |  |\r\n| taskClassification6Description | ProposedWorkOrder->TaskClassification6_Description | string |  |\r\n| taskClassification7Id | ProposedWorkOrder->TaskClassification7_Id | integer | int64 |\r\n| taskClassification7Code | ProposedWorkOrder->TaskClassification7_Code | string |  |\r\n| taskClassification7Description | ProposedWorkOrder->TaskClassification7_Description | string |  |\r\n| taskClassification8Id | ProposedWorkOrder->TaskClassification8_Id | integer | int64 |\r\n| taskClassification8Code | ProposedWorkOrder->TaskClassification8_Code | string |  |\r\n| taskClassification8Description | ProposedWorkOrder->TaskClassification8_Description | string |  |\r\n| typeOfWorkId | ProposedWorkOrder->TypeOfWork_Id | integer | int64 |\r\n| typeOfWorkCode | ProposedWorkOrder->TypeOfWork_Code | string |  |\r\n| typeOfWorkDescription | ProposedWorkOrder->TypeOfWork_Description | string |  |\r\n| typeOfWorkWorkType | ProposedWorkOrder->TypeOfWork_WorkType | string (Allowed values: [Breakdown, Reactive, AdHoc, Inspect, FollowUp]) | enum |\r\n| typeOfWorkWorkClass | ProposedWorkOrder->TypeOfWork_WorkClass | string (Allowed values: [NonTactical, Tactical, OperationalWork, ContinuousImprovement, AdministrativeWork]) | enum |\r\n| workOrderId | ProposedWorkOrder->WorkOrder_Id | integer | int64 |\r\n| workOrderCode | ProposedWorkOrder->WorkOrder_Code | string |  |\r\n| workOrderDescription | ProposedWorkOrder->WorkOrder_Description | string |  |\r\n| workOrderGeneratedOn | ProposedWorkOrder->WorkOrderGeneratedOn | string | date-time |\r\n| workOrderGenerationMessage | ProposedWorkOrder->WorkOrderGenerationMessage | string |  |\r\n",
        "operationId": "BatchGetProposedWorkOrder",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Proposed Work Order id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Proposed Work Order collection",
            "schema": {
              "$ref": "#/definitions/BatchGetProposedWorkOrderResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batches/Batch": {
      "delete": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete a collection of existing Proposed Work Order resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ProposedWorkOrderBatch->Id | integer | int64 |\r\n| version | ProposedWorkOrderBatch->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteProposedWorkOrderBatch",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteProposedWorkOrderBatchResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Proposed Work Order batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batch": {
      "delete": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete a collection of existing Proposed Work Order resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ProposedWorkOrder->Id | integer | int64 |\r\n| version | ProposedWorkOrder->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteProposedWorkOrder",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteProposedWorkOrderResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Proposed Work Order batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/Batches/All": {
      "delete": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete All Proposed Work Order Batches.",
        "operationId": "DeleteAllProposedWorkOrderBatches",
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/DeleteProposedWorkOrders": {
      "post": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Delete Proposed Work Orders.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| deleteAll | DeleteProposedWorkOrdersFilter->DeleteAll | boolean |  |\r\n| proposedWorkOrderBatchId | DeleteProposedWorkOrdersFilter->ProposedWorkOrderBatch_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n\r\n",
        "operationId": "DeleteProposedWorkOrders",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteProposedWorkOrdersResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/WM/ProposedWorkOrders/GenerateProposedWorkOrders": {
      "post": {
        "tags": [
          "Proposed Work Order"
        ],
        "summary": "Generate Proposed Work Orders.",
[...]
